// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.
package resource

import (
_ "fmt"
_ "context"
  "testing"
_ "net/http"
_ "net/http/httptest"
_ "net/url"
_ "io"
  "github.com/stretchr/testify/assert"
_ "encoding/json"
_ "strings"
)

func TestLookupUID(t *testing.T) {
  uid,e := LookupUID("nobody")

  assert.Equal(t, nil, e)
  assert.Equal(t, 65534, uid)
}

func TestLookupGID(t *testing.T) {
  gid,e := LookupGID("nobody")

  assert.Equal(t, nil, e)
  assert.Equal(t, 65534, gid)
}

func TestExecCommand(t *testing.T) {

}
